Page Summary
-
The
assignedTargetingOptions.listmethod lists the targeting options assigned to a specific line item. -
The HTTP request uses a GET method with path parameters for
advertiserId,lineItemId, andtargetingType. -
Query parameters like
pageSize,pageToken,orderBy, andfiltercan be used to control the results. -
The request body must be empty.
-
The response body contains a list of
assignedTargetingOptionsand anextPageTokenfor pagination.
Lists the targeting options assigned to a line item.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/lineItems/{lineItemId}/targetingTypes/{targetingType}/assignedTargetingOptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser the line item belongs to. |
lineItemId |
Required. The ID of the line item to list assigned targeting options for. |
targetingType |
Required. Identifies the type of assigned targeting options to list. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: |
filter |
Allows filtering by assigned targeting option properties. Supported syntax:
Examples:
The length of this field should be no more than 500 characters. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
Response message for assignedTargetingOptions.list.
| JSON representation |
|---|
{
"assignedTargetingOptions": [
{
object ( |
| Fields | |
|---|---|
assignedTargetingOptions[] |
The list of assigned targeting options. This list will be absent if empty. |
nextPageToken |
A token identifying the next page of results. This value should be specified as the |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.